The ingredients for producing simulated data for this work are a reference signal and a primary signal. 
The primary contains three components as described by Eqn.~\ref{eqn:primary}: noise, a signal of interest, and clutter which is related to the reference in some unknown way. 
In Section~\ref{sec:simData} we describ how we produce simulated data and we it with the ANC in Section~\ref{sec:simResults}.

\subsection{Generating simulated data}
\label{sec:simData}
 
The simulated reference signal is produced by summing $N$ weighted sinusoids. 
\begin{eqnarray}
\label{eqn:simRef}
r_{\rm s}(t) &=& \sum_{m=0}^{m=N}  \omega_m * \exp \left[ 2 i \pi \left(\fline + a_m + \phi_m \right) t \right]\,, \\
r_{\rm s}(t)   &=& \Re r_c(t)\,,
\end{eqnarray}
%\han{from Andrew: Would they all be phased locked? Should there also be $\phi_m$ in each too? How is $r_i$ related to $c_i$ here? -> Equation}
where $\fline$ is the central frequency of the line (e.g., $60\,\Hz$ power line), $a_m$ is a small offset to $\fline$, $\phi_m$ is the phase, and $\omega_m$ is the amplitude of the summed sinusoid. 
Equation~\ref{eqn:simRef} represents the auxillery channel data. 

The simulated injected GW signal is 
\begin{equation}
\label{eqn:simGW}
g_{rm s}(t) = h \sin \left(2 \pi \fgw t + \phi \right)\,,
\end{equation}
where $h$ is the GW strain amplitude as seen by the detector, $\fgw$ is the GW frequency and $\phi_{\rm gw}$ is the phase. 

The next step is to construct the primary signal. 
The reference signal given by Eqn~\ref{eqn:simRef} is not neccessarily the same as the clutter that appears in the primary data.
We therefore shift the phase by some value $\psi$ and scale up the amplitude by a factor of $A_{\rm c}$ so that 
\begin{equation}
c_{\rm s}(t) = A_{\rm c} \Re \left\{ r_c(t)\exp(i\psi) \right\} \,.
\end{equation}

The resulting simulated primary signal is the altered reference signal, plus the injected GW signal (Eqn.\ref{eqn:simGW}) and Gaussian noise $n(t)$.
\begin{equation} 
d_{\rm s}(t) = g(t) + c(t) + n(t)\,.
\end{equation}


\subsection{Simulated data results}
\label{sec:simResults}
To do: show a few results of the ANC

%Some preliminary results are show in figure~\ref{fig:toyprobresults1}. 
%We have an injected signal of interest at $4\Hz$ and a wandering unwanted signal centred around $5.2\Hz$. 
%The full set of parameters are listed in Table~\ref{tab:toyprobparams}. 

%\begin{table}
%\begin{tabular}{lll}
%\hline
%\hline
%data parameters & value                                 & notes \\
%\hline
%$\fgw/\Hz$      & $4.0$                                 & \\
%$\fline/\Hz$    & $5.2$                                 & \\
%$h$             & $0.05$                                & \\
%$N$             & $5$                                   & \\
%$a_n$           & $(0.03,  0.10, -0.16,  0.08, -0.07)$  & $G[0,0.1]$ \\
%$\omega_n$      & $(0.41,  0.04,  0.22,  0.57,  0.35)$  & $U[0,1]$ \\ 
%$\phi$          & $0.34$                                & \\
%$\psi$          & $0.235$                               & \\
%random seed     & $81$                                  & \\
%range$/\secs$   & $0$--$80$                             & \\
%timestep$/\secs$& $0.0001$                              & \\
%                &                                       & \\
%\hline
%\hline
%ANC parameters  &                                       & \\
%\hline
%$\mu$           & $0.0001$                              & \\
%$p$ (order)     & $100$                                 & \\
%\hline
%\hline
%\end{tabular}
%\caption{ \label{tab:toyprobparams}
%Showing the parameters used for Figure~\ref{fig:toyprobresults1}. 
%The top set of parameters correspond to the data (the injected signal of interest and unwanted %interference) and the bottom set are used for the adaptive noise cancelling filter. 
%}
%\end{table}

%\begin{figure}
%\begin{center}
%\includegraphics[width=0.48\textwidth]{images/fft_order100_mu0p0001_freqGW4p0_freqLine5p2.png}
%\end{center}
%\caption{\label{fig:toyprobresults1}
%Top: the time series data containing a wandering line around $\fline=5.2\Hz$ and a signal of interest at $\fgw=4.0\Hz$ showing the measured primary signal (blue), the reference signal (red), the injected smaller signal (black) and the result of the ANC filter (yellow). 
%Bottom: Fourier transform of the primary (blue), reference (red) and filtered (yellow) signals. 
%The signal at $4.0\Hz$ is relatively untouched by the filtering, however the unwanted lines are reduced.}
%\end{figure}



%In Figure~\ref{fig:toyprobresults1}, the signal of interest can clearly be seen at $4\Hz$ and is quite separated in frequency from the unwanted wandering line at $5.2\Hz$. 
%After filtering, the unwanted lines are reduced. 
%The signal of interest is reduced by only a small amount. 



%\begin{figure}
%\begin{center}
%\includegraphics[width=0.48\textwidth]{images/fft_order100_mu0p0001_freqGW5p9_freqLine5p2.png}
%\end{center}
%\caption{\label{fig:toyprobresults2}
%Identical to Figure~\ref{fig:toyprobresults1}, but here with $\fgw=5.9\Hz$.}
%\end{figure}

%\begin{figure}
%\begin{center}
%\includegraphics[width=0.48\textwidth]{images/fft_order100_mu0p0001_freqGW5p4_freqLine5p2.png}
%\end{center}
%\caption{\label{fig:toyprobresults3}
%Identical to Figure~\ref{fig:toyprobresults1}, but here with $\fgw=5.4\Hz$.}
%\end{figure}

%\begin{figure}
%\begin{center}
%\includegraphics[width=0.48\textwidth]{images/fft_order100_mu0p0001_freqGW5p3_freqLine5p2.png}
%\end{center}
%\caption{\label{fig:toyprobresults4}
%Identical to Figure~\ref{fig:toyprobresults1}, but here with $\fgw=5.3\Hz$.}
%\end{figure}


%Figures~\ref{fig:toyprobresults2},~\ref{fig:toyprobresults3} and ~\ref{fig:toyprobresults4} shows the same signal placed at progressively closer frequencies to the unwanted lines. 
%When $\fgw=5.4\Hz$ (in Figure~\ref{fig:toyprobresults3}), the signal can still be seen in the filtered result. 
%However when $\fgw=5.3\Hz$, overlapping with the unwanted signal it becomes difficult to judge whether the signal is still there in the filtered data. 
